/**
 * 入口文件
 * 传入Id
 * 移动端或web端识别值
 * form
 * 通过ID生成表单
 */
import React, { useEffect, useState } from 'react';
import RenderForm from '../RenderForm';
import { fetchTemplateById } from '../../Services';

function Entrance({ id, get = 'web', form }) {
  const [data, setData] = useState(null);

  useEffect(() => {
    fetchTemplateById(id).then(res => {
      if (res) {
        setData(res);
      }
    });
  }, []);
  console.log('data', typeof data);
  console.log('data',  data);
  return data ? <RenderForm get={get} postData={data} form={form} /> : null;
}

export default Entrance
